Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1845)

Unified Diff: scripts/common.sh

Issue 3177031: Fix bashisms: add quotes around paths (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/deps/third_party/valgrind/
Patch Set: Created 10 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « scripts/build-tsan-for-chromium.sh ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/common.sh
===================================================================
--- scripts/common.sh (revision 56518)
+++ scripts/common.sh (working copy)
@@ -20,7 +20,7 @@
# $3 = source dir
# Checkout Valgrind, apply our patches to Valgrind.
# The source will be put in $THISDIR/valgrind-source
- cd $THISDIR
+ cd "$THISDIR"
VG_REV="$1"
VEX_REV="$2"
SOURCE_DIR="$3"
@@ -152,7 +152,7 @@
# Delete un-needed stuff from the $OUTPUT_DIR
# TODO(timurrrr): probably, we should just don't build the unused tools
- cd $OUTPUT_DIR
+ cd "$OUTPUT_DIR"
rm -rf include
rm -rf lib/pkgconfig lib/*.a
rm bin/*cg_* bin/callgrind*
@@ -177,7 +177,7 @@
fi
# We're done
- cd $PREV_DIR
+ cd "$PREV_DIR"
# }}}
}
@@ -229,7 +229,7 @@
# Check that the binaries directory exists.
BINARIES_DIR="$THISDIR/../binaries"
-if ! [ -a $BINARIES_DIR ]
+if ! [ -a "$BINARIES_DIR" ]
then
echo "Error: $BINARIES_DIR doesn't exist!" >&2
exit 1
« no previous file with comments | « scripts/build-tsan-for-chromium.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698